import { system, world } from "@minecraft/server";

world.afterEvents.itemCompleteUse.subscribe((event) => {
    if (event.itemStack.typeId == "rose_gold_apple") {
        // Setup the effect options
        const regenerationEffectOptions = {
            "amplifier": 5,
            "showParticles": true
        };
        const healthBoostEffectOptions = {
            "amplifier": 9,
            "showParticles": true
        };

        // Add the effects to the source of the event (event trigger entity)
        event.source.addEffect("regeneration", 60, regenerationEffectOptions);
        event.source.addEffect("health_boost", 60, healthBoostEffectOptions);
    }
});